Package: org.gradle.tooling.model

## [Java] Class UnsupportedMethodException

- org.gradle.tooling.model.UnsupportedMethodException

- Thrown when the tooling API client attempts to use a method that does not exist in the version of Gradle that the tooling API is connected to.

  Typically, to resolve such a problem you change/upgrade the target version of Gradle that the tooling API is connected to. Alternatively, you can handle and ignore this exception.

  Since:
    1.0-milestone-8

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnsupportedMethodException (String s)`
    `UnsupportedMethodException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UnsupportedOperationException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnsupportedMethodException(String s)

    - #### public UnsupportedMethodException(String message, Throwable cause)